Issue #778 resolved

Error importing pygments.lexers.web on Python 2.5

Marcelo Santos
created an issue

{{{ $ python Python 2.5 (r25:51908, May 15 2012, 16:19:31) [GCC 4.1.2 20080704 (Red Hat 4.1.2-52)] on linux2 Type "help", "copyright", "credits" or "license" for more information.

import pygments.lexers.web Traceback (most recent call last): File "<stdin>", line 1, in <module> UnicodeDecodeError: 'rawunicodeescape' codec can't decode bytes in position 12-22: \Uxxxxxxxx out of range


Comments (6)

  1. Anonymous

    Hey I had the same problem: The import of pygments.lexers.web did not work. I switched to Python version 2.5.4 and there is the bug fixed. I hope this helps.

  2. Tim Hatch

    Yes, this is an issue with one of my last commits. It affects all narrow builds of python (sys.maxunicode == 65535ish).

    I'm working on a fix as well as making regexlint recognize this case.


  3. Log in to comment